5.3.0-git
2014-10-25

[#2751] URL based profile import/export from another horde install
Summary URL based profile import/export from another horde install
Queue Horde Base
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester horde (at) headbonk (dot) com
Created 2005-10-09 (3303 days ago)
Due
Updated 2014-08-29 (57 days ago)
Assigned
Resolved
Milestone Horde 4.0
Patch No

History
2014-08-29 16:48:45 software-horde (at) interfasys (dot) ch Comment #3 Reply to this comment
This is an interesting request, but there should also be an option for 
admins to migrate specific profiles to a new server per example. It 
seems Horde is missing import/export scripts and I could only find a 
delete command in the API.
2008-11-09 16:09:14 Chuck Hagenbuch State ⇒ Accepted
 
2007-07-30 01:53:42 Chuck Hagenbuch State ⇒ Stalled
 
2006-11-26 05:06:01 Chuck Hagenbuch Comment #2 Reply to this comment
This won't happen before Horde 4.
2005-10-25 11:47:02 Jan Schneider State ⇒ Accepted
 
2005-10-09 21:01:12 Chuck Hagenbuch Queue ⇒ Horde Base
Version ⇒ HEAD
 
2005-10-09 17:03:46 horde (at) headbonk (dot) com Comment #1
State ⇒ New
Priority ⇒ 1. Low
Type ⇒ Enhancement
Summary ⇒ URL based profile import/export from another horde install
Queue ⇒ Horde Framework Packages
Reply to this comment
I'm not sure if this is the right queue for this...



I've had the misfortune of having to move my horde accounts twice in 
the last several months, and I don't have access to the backend 
database (shared hosting provider).



For the modules that have import/export functionality, this means 
exporting to some appropriate format and downloading the results to my 
local system then uploading to the new install.



It would be great if I could just give a URL, login and password to an 
import function then have the two installs handle the transfer. 
Ideally, you would only have to do this once for all  the modules in 
an install, but I could imagine doing it on  per module basis.